<div *ngIf="movie" class="container">
  <div *ngIf="!editDetail" class="movie-detail">
    <p>Title: {{movie.title}}</p>
    <p>Genre: {{movie.genre}}</p>
    <p>Year: {{movie.year}}</p>
    <p>Duration: {{movie.duration}}</p>
    <p>Starring:</p>
    <p *ngFor="let actor of movie.cast">{{actor.name}} ({{actor.age}})</p>
    <button (click)="toggleEdit()">Edit!</button>
  </div>
  <div *ngIf="editDetail" class="edit-detail">
    <p>Title:
      <input [(ngModel)]="movie.title" type="text">
    </p>
    <p>Genre:
      <input [(ngModel)]="movie.genre" type="text">
    </p>
    <p>Year:
      <input [(ngModel)]="movie.year" type="number">
    </p>
    <p>Duration:
      <input [(ngModel)]="movie.duration" type="number">
    </p>
    <p>Starring:</p>
    <div *ngFor="let actor of movie.cast, let i = index">
      <p>Actor name:
        <input [(ngModel)]="movie.cast[i].name" type="text">
      </p>
      <p>Actor age:
        <input [(ngModel)]="movie.cast[i].age" type="number">
      </p>
    </div>
    <button (click)="toggleEdit()">Finish!</button>
  </div>
</div>

<div *ngIf="!movie" class="container">
  Movie not found!
</div>